package com.ai.da.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum CreditsEventsEnum {

    PRICE("price","6"),

    BUY_CREDITS("Buy Credits","600"),

    INIT("init", "500"),

    DAILY_CHECKIN("Daily Check-In", "20"),

    SOCIAL_MEDIA_SHARING("Social Media Sharing","20"),

//    SUPER_RESOLUTION("Super Resolution","300"),
    SUPER_RESOLUTION("Super Resolution","5"),

    OTHER("Other","10");

    private String name;

    /**
     * 对应事件需要消耗or获得的积分
     */
    private String value;
}
